/**
 * Class for storing some interesting scientific data
 * ---------------------------------
 * author: Ryan Schmitt
 * date: 2-19-11
 */

#ifndef __SCI_DATA__
#define __SCI_DATA__

#include <string>
#include <ctime>
#include <exception>

#include "Vector3.h"


/* Some error definitions */
const int BAD_ARGUMENT_EXCEPTION = 1;

/* The main data class */
class SciData {
public:
   SciData() {}
   SciData(double x,double y,double z,double tR,char* cA,char* cl,char* me, char* car):m_loc(x,y,z), totalRelease(tR), cleanAir(cA), classification(cl), metal(me), carcinogen(car) {}
   ~SciData() {}
   void setLocation(double x, double y, double z);
   
   Vector3 getLocation() const {return m_loc;}
   double getTotalRelease() const {return totalRelease;}
   char* getCleanAir() const {return cleanAir;}
   char* getClassification() const {return classification;}
   char* getMetal() const {return metal;}
   char* getCarcinogen() const {return carcinogen;}

   // void setDateTime(int day, int month, int year, int hour, int min, int sec);
   // tm getDateTime() const {return timestamp;}
   // void setAirSaturation(double saturation) {airSat = saturation;}
   // double getAirSaturation() const {return airSat;}
   // void setTemperature(double temperature) {temp = temperature;}
   // double getTemperature() const {return temp;}

   Vector3 m_loc;
   double totalRelease;
   char *cleanAir, *classification, *metal, *carcinogen;

   // double airSat, temp;
   // tm timestamp;
};

#endif
